---
title: "Get started using Redis clients"
linkTitle: "Client quickstarts"
description: Get started using Redis clients. Select your library and connect your application to a Redis database. Then, try an example.
weight: 45
aliases:
 - /docs/redis-clients
 - /docs/stack/get-started/clients/
---

Here, you will learn how to connect your application to a Redis database. If you're new to Redis, you might first want to [install Redis with Redis Stack and RedisInsight](/docs/getting-started/install-stack/).

For more Redis topics, see [Using](/docs/manual/) and [Managing](/docs/management/) Redis.

If you're ready to get started, see the following guides for the official client libraries you can use with Redis. For a complete list of community-driven clients, see [Clients](/resources/clients/).


## High-level client libraries

The Redis OM client libraries let you use the document modeling, indexing, and querying capabilities of Redis Stack much like the way you'd use an [ORM](https://en.wikipedia.org/wiki/Object%E2%80%93relational_mapping). The following Redis OM libraries support Redis Stack:

* [Redis OM .NET](/docs/clients/om-clients/stack-dotnet/)
* [Redis OM Node](/docs/clients/om-clients/stack-node/)
* [Redis OM Python](/docs/clients/om-clients/stack-python/)
* [Redis OM Spring](/docs/clients/om-clients/stack-spring/)

<hr>